Developers
API referenceReferenceAccounts

Account - Update

Update one account by ID.

PATCH
/v1/business/{business_slug}/account/{account_id}/

Path Parameters

account_id*integer

Identifier of the target account. If the ID is not known, use the corresponding list endpoint with relevant filters and/or the search parameter to discover valid IDs.

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/v1/business/string/account/0/" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": 0,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "number": "string",  "padded_number": 0,  "name": "string",  "name_translations": [    {      "key": "string",      "value": "string"    }  ],  "header_id": 0,  "header_path": [    "string"  ],  "description": "string",  "type": "ASS",  "default_vat_code": 1,  "default_vat_rate": 0.1,  "default_vat_rate_label": "standard",  "opening_balance": 0.1,  "is_shown": true,  "balance": 0.1,  "is_used": true}